Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::TemplateDescriptor`

## Overview

    struct TemplateDescriptor

A template descriptor for server or service templates.

### Used By

TemplateDescriptorDict

### Data Member Index

descriptor

  The template.

parameters

  The parameters required to instantiate the template.

parameterDefaults

  The parameters default values.

## `descriptor`

    CommunicatorDescriptor descriptor;

The template.

## `parameters`

    [ "java:type:{java.util.LinkedList}" ]
    ::Ice::StringSeq parameters;

The parameters required to instantiate the template.

## `parameterDefaults`

    StringStringDict parameterDefaults;

The parameters default values.

<<< Previous | Home | Next >>>
`IceGrid::Session` | Up | `IceGrid::UserAccountMapper`